自动升级失败,如何手动升级wordpress

技术论点 Loading... 阅读 0

由于打算开启 memcached 数据库缓存,网上找到的资料推荐使用 WPJAM Basic 这个插件,等我在后台下载完毕之后发现无法安装,提示信息显示不支持我当前的wordpress版本。

目前网站的版本为5.4,这个版本也是一直在使用的,当初网站建立之后我在主题的 functions 文件里面添加了禁止程序更新的代码,没想到一用就是两年了,这两年一直以来用的都是 wordpress 5.4 版本,此次为了安装这个插件,我在主题配置文件里面删除了当初禁止检测更新的代码,在wp后台跑了一下,是可以正常检测最新版本的。但由于我使用的服务器是大陆服务器,和 wordpress 的官网通信是不通的,所以我想升级只能手动升级。

自动升级失败,如何手动升级wordpress

如何手动升级?

第一步就是去官网下载最新的版本, https://cn.wordpress.org/latest-zh_CN.zip  或者直接点击下载就行,如果遇到打不开网页,请科学上网再访问。

第二步,打开你当前的网站根目录,备份好所有的程序源码+数据库。

第三步,删除根目录下面的wp-includes和wp-admin目录,其他的所有文件保留。

第四步,把解压在本地电脑的 WordPress 文件夹中除了 wp-content 目录外的所有文件都上传并覆盖到你网站根目录的位置。选择全部覆盖就可以了。

最后一步,覆盖完成后,打开  http://你的网址/wp-admin/upgrade.php  ,执行数据库升级。

至此,你的网站已经手动升级完成了。

对了,升级完成之后插件能下载启用了,同时建议把主题 functions 文件里面的禁止检测更新给添加回去。

Tags:

版权声明:若无特殊注明,本文皆为《长行客》原创,转载务必保留文章来源。

本文链接:自动升级失败,如何手动升级wordpress & https://www.mxooo.cn/1008/

推荐阅读
发表评论 取消回复
表情 图片 链接 代码

分享